HRMS App installation Error

bench --site site1.local install-app hrms

Please make sure that Redis Queue runs @ redis://localhost:11000

Please make sure that Redis Queue runs @ redis://localhost:11000

Traceback (most recent call last):
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/redis/connect                                                                             ion.py", line 559, in connect
    sock = self._connect()
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/redis/connect                                                                             ion.py", line 615, in _connect
    raise err
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/redis/connect                                                                             ion.py", line 603, in _connect
    sock.connect(socket_address)
ConnectionRefusedError: [Errno 111] Connection refused

Not able to uninstall app from site.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.10/runpy.py", line 196, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.10/runpy.py", line 86, in _run_code
    exec(code, run_globals)
  File "/home/addons/frappe-bench/apps/frappe/frappe/utils/bench_helper.py", lin                                                                             e 109, in <module>
    main()
  File "/home/addons/frappe-bench/apps/frappe/frappe/utils/bench_helper.py", lin                                                                             e 18, in main
    click.Group(commands=commands)(prog_name="bench")
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/click/core.py                                                                             ", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/click/core.py                                                                             ", line 782, in main
    rv = self.invoke(ctx)
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/click/core.py                                                                             ", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/click/core.py                                                                             ", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/click/core.py                                                                             ", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/click/core.py                                                                             ", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/click/decorat                                                                             ors.py", line 21, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/addons/frappe-bench/apps/frappe/frappe/commands/__init__.py", line                                                                              29, in _func
    ret = f(frappe._dict(ctx.obj), *args, **kwargs)
  File "/home/addons/frappe-bench/apps/frappe/frappe/commands/site.py", line 769                                                                             , in uninstall
    remove_app(app_name=app, dry_run=dry_run, yes=yes, no_backup=no_backup, forc                                                                             e=force)
  File "/home/addons/frappe-bench/apps/frappe/frappe/installer.py", line 369, in                                                                              remove_app
    drop_doctypes = _delete_modules(modules, dry_run=dry_run)
  File "/home/addons/frappe-bench/apps/frappe/frappe/installer.py", line 407, in                                                                              _delete_modules
    _delete_linked_documents(module_name, doctype_link_field_map, dry_run=dry_ru                                                                             n)
  File "/home/addons/frappe-bench/apps/frappe/frappe/installer.py", line 425, in                                                                              _delete_linked_documents
    frappe.delete_doc(doctype, record, ignore_on_trash=True, force=True)
  File "/home/addons/frappe-bench/apps/frappe/frappe/__init__.py", line 1242, in                                                                              delete_doc
    return frappe.model.delete_doc.delete_doc(
  File "/home/addons/frappe-bench/apps/frappe/frappe/model/delete_doc.py", line                                                                              142, in delete_doc
    frappe.enqueue(
  File "/home/addons/frappe-bench/apps/frappe/frappe/__init__.py", line 2145, in                                                                              enqueue
    return frappe.utils.background_jobs.enqueue(*args, **kwargs)
  File "/home/addons/frappe-bench/apps/frappe/frappe/utils/background_jobs.py",                                                                              line 85, in enqueue
    q = get_queue(queue, is_async=is_async)
  File "/home/addons/frappe-bench/apps/frappe/frappe/utils/background_jobs.py",                                                                              line 283, in get_queue
    return Queue(generate_qname(qtype), connection=get_redis_conn(), is_async=is                                                                             _async)
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/tenacity/__in                                                                             it__.py", line 324, in wrapped_f
    return self(f, *args, **kw)
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/tenacity/__in                                                                             it__.py", line 404, in __call__
    do = self.iter(retry_state=retry_state)
  File "/home/addons/frappe-bench/env/lib/python3.10/site-packages/tenacity/__in                                                                             it__.py", line 361, in iter
    raise retry_exc from fut.exception()
tenacity.RetryError: RetryError[<Future at 0x7fd8191e1330 state=finished raised                                                                              ConnectionError>]

As this indicates, please make sure your redis services are up and running.